default playerHP = 0
default opponentBattle = None
default oAbility = None

default pEffects = {}
default oEffects = {}
default pAutoEffects = {}
default oAutoEffects = {}

define urlLink = None
define rnd = None

default opponentHP = 0
default oCount = 0

default playerRolls = []
default oppRolls = []
default combatAbilities = []

default turnCount = 0
default playerTurn = True

default afterWin = None
default afterLoss = None

default luckDice = False

default combatLog = {}


init python:
    def dieOnAbility(cardDrag, dieDrag):
        playClick()

        die = dieDrag[0].drag_name
        die.drag = dieDrag[0]

        if die.card:
            die.card.dice.remove(die)
            die.card = None

        card = cardDrag.drag_name
        card.dice.append(die)
        die.card = card
        card.checkDice()
        afterAction()
    
    def dieOnLuck(luckDrag, dieDrag):
        playClick()

        die = dieDrag[0].drag_name
        die.drag = dieDrag[0]

        if (luck > 0 or config.developer) and die.value != luckDrag.drag_name:
            die.rollValue(luckDrag.drag_name) 
            global luck, luckDice
            luck -= 1
            if luck <= 0 and not config.developer:
                luckDice = False
            renpy.restart_interaction()
    
    def addAbility(abi):
        if backupAbilities.count(None) > 0:
            i = backupAbilities.index(None)
            backupAbilities[i] = abi
        else:
            backupAbilities.append(abi)

    def hpToPlayer(val, img = "arouse", offEffects = True, defEffects = True, checkAfter = True, isReaction = False):
        if offEffects:
            lst = oEffects.copy()
            for effect in lst:
                val = effect.onInflictDamage(val, False, isReaction)
        if defEffects:
            lst = pEffects.copy()
            for effect in lst:
                val = effect.onDamaged(val, True, isReaction)
        
        global playerHP
        playerHP += int(val)

        if playerHP < 0:
            playerHP = 0

        if img:
            if val > 0:    
                p = popupData(img, "+{}".format(val), renpy.random.randint(300, 400), renpy.random.randint(350, 420))
            else:
                p = popupData(img, "{}".format(val), renpy.random.randint(300, 400), renpy.random.randint(350, 420))
            add_popup_message(p)

        if checkAfter:
            afterAction()

    def hpToOpponent(val, img = "arouse", offEffects = True, defEffects = True, checkAfter = True, isReaction = False):
        if offEffects:
            lst = pEffects.copy()
            for effect in lst:
                val = effect.onInflictDamage(val, True, isReaction)
        if defEffects:
            lst = oEffects.copy()
            for effect in lst:
                val = effect.onDamaged(val, False, isReaction)

        global opponentHP
        opponentHP += int(val)

        if opponentHP < 0:
            opponentHP = 0

        if img:
            if val > 0:    
                p = popupData(img, "+{}".format(val), renpy.random.randint(1750, 1850), renpy.random.randint(700, 750))
            else:
                p = popupData(img, "{}".format(val), renpy.random.randint(1750, 1850), renpy.random.randint(700, 750))
            add_popup_message(p)

        if checkAfter:
            afterAction()

    def addEffectToPlayer(effect, amount, auto = False): 
        if amount > 0:
            amount = int(amount + .5)
        else:
            amount = int(amount)
        
        if isinstance(effect,str):
            effect = abiEffects[effect]
        
        if auto:
            global pAutoEffects
            if effect in pAutoEffects:
                pAutoEffects[effect] += amount
            else:
                pAutoEffects[effect] = amount
            
            if pAutoEffects[effect] == 0:
                pAutoEffects.pop(effect)
        else:
            global pEffects
            if effect in pEffects:
                pEffects[effect] += amount
            else:
                pEffects[effect] = amount
            
            if pEffects[effect] == 0:
                pEffects.pop(effect)
            
        if amount > 0:    
            p = "+{}".format(amount)
        else:
            p = "{}".format(amount)
        add_popup_message(popupData(effect.image, p, renpy.random.randint(50, 400), renpy.random.randint(600, 1000)))
    
        if not auto:
            effect.onApplied(True)

    def addEffectToOpponent(effect, amount, auto = False):
        if amount > 0:
            amount = int(amount + .5)
        else:
            amount = int(amount)
            
        if isinstance(effect,str):
            effect = abiEffects[effect]
        
        if auto:
            global oAutoEffects
            if effect in oAutoEffects:
                oAutoEffects[effect] += amount
            else:
                oAutoEffects[effect] = amount
            
            if oAutoEffects[effect] <= 0:
                oAutoEffects.pop(effect)
        else:
            global oEffects
            if effect in oEffects:
                oEffects[effect] += amount
            else:
                oEffects[effect] = amount
            
            if oEffects[effect] <= 0:
                oEffects.pop(effect)

        if amount > 0:    
            p = popupData(effect.image, "+{}".format(amount), renpy.random.randint(1500, 1850), renpy.random.randint(200, 600))
        else:
            p = popupData(effect.image, "{}".format(amount), renpy.random.randint(50, 400), renpy.random.randint(600, 1000))
    
        if not auto:
            effect.onApplied(False)

    def rollNewDie(value = 0, toPlayer = True, playSound = True):
        if playSound:
            playDiceRoll()
        if toPlayer:
            newDie = die(len(playerRolls), value)
            playerRolls.append(newDie)
        else:
            newDie = die(len(oppRolls), value)
            oppRolls.append(newDie)
        return newDie
    
    def rerollDie(die, value = 0, playSound = True):
            die.usable = False
            newDie = rollNewDie(value, playSound = playSound)
            newDie.pos = die.pos
            newDie.color = die.color
            if die.drag:
                newDie.spawn = (die.drag.x, die.drag.y)
            return newDie
    
    def rollOpponentDice():       
        oppRolls.clear()
        for i in range(oAbility.rolls):
            rollNewDie(toPlayer = False, playSound = False)

        if oEffects.has_key(vigorEff):
            for i in range(0, oEffects[vigorEff]):
                rollNewDie(toPlayer = False, playSound = False).color = "#B8E986"
            oEffects.pop(vigorEff)
            
        if oEffects.has_key(exhaustionEff):
            for x in oEffects[exhaustionEff]:
                if len(oppRolls) > 0:
                    oppRolls.pop()
                    oEffects.pop(exhaustionEff) 
                
        if oAbility.diceGroups:
            for i in range(0, len(oppRolls)):
                if i > len(oAbility.diceGroups) - 1:
                    oppRolls[i].color = diceColors[oAbility.diceGroups[-1]]
                else:
                    oppRolls[i].color = diceColors[oAbility.diceGroups[i]]

    def rerollOpponentDie(die, value = 0, playSound = True):
            newDie = rollNewDie(value, False, playSound)
            newDie.pos = die.pos
            newDie.color = die.color
            oppRolls.remove(die)
            return newDie

    def getLowest(dice):
        min = 0
        for die in dice:
            if min == 0 or die.value < min.value:
                min = die
        if min:
            dice.remove(min)
        return min.value

    def afterAction():
        if playerHP >= playerBattle.maxHP:
            renpy.jump("loseBattle")
        elif opponentHP == opponentBattle.maxHP:
            renpy.jump("edgeWin")
        elif opponentHP > opponentBattle.maxHP:
            renpy.jump("winBattle")
        renpy.restart_interaction()

    def divideRoundRandomly(dividend, divisor):
        return int(dividend / divisor + random.rand(0.0, 1.0))

label startBattle(opponentBattle = oSuccubusDB["???"], win = None, loss = None, player = None, other = None):
    play music combatMusic if_changed
    python:
        #TODO : Difficulty blocks rollback in combat
        #config.rollback_enabled = False

        if player:
            playerBattle = pSuccubusDB[player].clone()
            currentAbilities = []
            backupAbilities = []

            for i in range(0, playerBattle.maxAbi):
                currentAbilities.append(None)

            i = 0
            for abi in playerBattle.abilities:
                if i < len(currentAbilities):
                    currentAbilities[i] = pAbilityDB[abi]
                else:
                    backupAbilities.append(pAbilityDB[abi])
                i += 1
                
            #backupAbilities = pAbilityDB.values().copy()
        #show_quick_menu = False

        afterWin = win
        afterLoss = loss

        opponentHP = 0
        oCount = 0

        playerRolls = []
        oppRolls = []
        combatAbilities = []
        oAbility = None

        pEffects = {}
        oEffects = {}
        pAutoEffects = {}
        oAutoEffects = {}

        turnCount = 0


        i = 0
        for abi in currentAbilities:
            if abi != None:
                card = abilityCard(abi, i)
                combatAbilities.append(card)
            else:
                combatAbilities.append(None)
            i += 1
        
        if diverBonus:
            for eff, amount in diverBonus.effects.items():
                addEffectToPlayer(eff, amount)
            for eff, amount in diverBonus.autoEffects.items():
                addEffectToPlayer(eff, amount, True)

    scene space3
    with Dissolve(.3)
    show player portrait at playerTrans
    show opponent portrait at opponentTrans

    python:
        dEvent = getEvent("Intro_" + opponentBattle.name)
        if dEvent:
            renpy.call(dEvent)
        elif renpy.random.random() < .2:
            dEvent = getEvent("Succ_" + opponentBattle.name)
            if dEvent:
                renpy.call(dEvent)

    if other:
        $exec(other)

    jump newTurn

label nextTurn:
    python:
        #Cleanup Opponent effects
        if len(oEffects) > 0:
            l = list(oEffects.keys())
            l.sort(key=lambda e: e.priority, reverse=True)
            for effect in l:
                effect.onCleanup(False)

        opponentBattle.onTurnStart()
        #End turn effects
        if len(pEffects) > 0:
            l = list(pEffects.keys())
            l.sort(key=lambda e: e.priority, reverse=True)
            for effect in l:
                effect.onTurnEnd(True)
        if len(oEffects) > 0:
            l = list(oEffects.keys())
            l.sort(key=lambda e: e.priority, reverse=True)
            for effect in l:
                effect.onTurnStart(False)
        opponentBattle.onTurnEnd()

        #Opponent turn
        playerTurn = False
        oAbility.playAbility(oppRolls.copy())
        afterAction()
        
        #Cleanup Player effects
        if len(pEffects) > 0:
            l = list(pEffects.keys())
            l.sort(key=lambda e: e.priority, reverse=True)
            for effect in l:
                effect.onCleanup(True)
    jump newTurn

label newTurn:
    python:
        #Auto effects
        for effect, amount in pAutoEffects.items():
            addEffectToPlayer(effect.name, amount)
        for effect, amount in oAutoEffects.items():
            addEffectToOpponent(effect.name, amount)
            
        #Clear rolls
        playerRolls.clear()
        playDiceRoll()

        for i in range(playerBattle.dice):
            rollNewDie(playSound = False)

        if pEffects.has_key(vigorEff):
            for i in range(0, pEffects[vigorEff]):
                rollNewDie(playSound = False).color = "#B8E986"
            pEffects.pop(vigorEff)
            
        if pEffects.has_key(exhaustionEff):
            for x in range(0, pEffects[exhaustionEff]):
                if len(playerRolls) > 0:
                    playerRolls.pop()
                    pEffects.pop(exhaustionEff)

        #Opponent ability
        if oAbility == None or oAbility.count == None or oAbility.count < 0:
            oAbility = opponentBattle.RandomAbility(oAbility)
            oAbility.count = oAbility.countMax
        rollOpponentDice()

        for a in combatAbilities:
            if a != None:
                a.resetUses()

        #Start turn effects
        if len(pEffects) > 0:
            l = list(pEffects.keys())
            l.sort(key=lambda e: e.priority, reverse=True)
            for effect in l:
                effect.onTurnStart(True)
        if len(oEffects):
            l = list(oEffects.keys())
            l.sort(key=lambda e: e.priority, reverse=True)
            for effect in l:
                effect.onTurnEnd(False)

        turnCount += 1
        playerTurn = True
        
    call screen battleScreen

label loseBattle(directSubmit = False):
    $config.rollback_enabled = True
    #$show_quick_menu = True
    hide player portrait
    hide opponent portrait

    python:
        if not combatLog.has_key(opponentBattle.name):
            combatLog[opponentBattle.name] = [0, 0, 1]
        else:
            combatLog[opponentBattle.name][2] += 1
    
    if afterLoss:
        scene space3
        $renpy.call(afterLoss)
    else:            
        $succuLabel = getEvent(opponentBattle.id + "_Loss")
        if directSubmit and succuLabel:
            $renpy.call(succuLabel)
        else:
            menu:
                "You're on the verge of cumming..."
                "Submit" if succuLabel:
                    $renpy.call(succuLabel)
                "Wake up!":
                    "You force your eyes open and come..."
        
        $rnd = renpy.random.randint(0, 3)
        if rnd == 0:
            "Time to get clean panties..."
        elif rnd == 1:
            "Losing rarely feel so good..."
        elif rnd == 2:
            "You wake up all sticky."
        else:
            "You should clean the sheets before someone sees."

        if diverBonus:
            $diverBonus.giveRelationPoints(2, dreamDepth * 100)    
        jump wakeUp

label edgeWin(crystalMod = 1.0):
    python:
        if not combatLog.has_key(opponentBattle.name):
            combatLog[opponentBattle.name] = [1, 1, 0]
        else:
            combatLog[opponentBattle.name][0] += 1
            combatLog[opponentBattle.name][1] += 1

    hide player portrait
    hide opponent portrait
    if afterWin:
        scene space3
        $renpy.call(afterWin)
    else:
        if diverBonus:
            $diverBonus.giveRelationPoints(0, dreamDepth * 20)
        if opponentBattle.playerAbility:
            $abi = pAbilityDB[opponentBattle.playerAbility]
        else:
            $abi = pAbilityDB["Wink"]
        show screen edgeWinCard
        "She is right on the edge, she offers you her help for the night if you get her off..."
        $succuLabel = getEvent(opponentBattle.id + "_Win")

        menu:
            "Do you want this ability?"
            "Yes" if succuLabel:
                hide screen edgeWinCard
                $addAbility(abi)
                $renpy.call(succuLabel)
            "Yes, but quickly":
                hide screen edgeWinCard
                $addAbility(abi)
                "In a quick wrist movement, you finish her."
            "No (bonus[i_crystal])" if crystalMod > 0:
                hide screen edgeWinCard
                if bossBattle:
                    $i = 5 * dreamDepth
                    $addCrystals(i * crystalMod)
                    "You think for a while, but decide to leave her blue balled. That gives you a bonus of [i][i_crystal]."
                    jump nextDream
                else:
                    $battlesRemaining -= 1
                    $i = 2 * dreamDepth
                    $addCrystals(i * crystalMod)
                    "You think for a while, but decide to leave her blue balled. That gives you a bonus of [i][i_crystal]."
                    jump nextDreamStage

        if bossBattle:
            $i = 3 * dreamDepth * crystalMod
            $addCrystals(i)
            if i == 0:
                "She didn't cum, no [i_crystal] for you"
            else:
                "You picked up [i][i_crystal] from her orgasm."
            jump nextDream
        else:
            $battlesRemaining -= 1
            $i = dreamDepth * crystalMod
            $addCrystals(i)
            if i == 0:
                "She didn't cum, no [i_crystal] for you"
            else:
                "You picked up [i][i_crystal] from her orgasm."
            jump nextDreamStage

label winBattle(crystalMod = 1.0):
    python:
        if not combatLog.has_key(opponentBattle.name):
            combatLog[opponentBattle.name] = [1, 0, 0]
        else:
            combatLog[opponentBattle.name][0] += 1

        missedSuccubi[opponentBattle] = dreamDepth

    $renpy.notify(crystalMod)

    hide player portrait
    hide opponent portrait
    if afterWin:
        $renpy.call(afterWin)
    else:
        if diverBonus:
            $diverBonus.giveRelationPoints(0, dreamDepth * 10)
            
        if bossBattle:
            $i = 3 * dreamDepth * crystalMod
            $addCrystals(i)
            if i == 0:
                "She didn't cum, no [i_crystal] for you"
            else:
                "You picked up [i][i_crystal] from her orgasm."
            jump nextDream
        else:
            $battlesRemaining -= 1
            $i = dreamDepth * crystalMod
            $addCrystals(i)
            if i == 0:
                "She didn't cum, no [i_crystal] for you"
            else:
                "You picked up [i][i_crystal] from her orgasm."
            jump nextDreamStage
    return

label showURL:
    "Image source :\n
    {a=[urlLink]}[urlLink]{/a}"
    call screen battleScreen

label combatCheat:
    menu:
        "Win":
            call winBattle from _call_winBattle
        "Edge":
            call edgeWin from _call_edgeWin
        "Lose":
            call loseBattle from _call_loseBattle
        "Cancel":
            call screen battleScreen
