define hilSerious = False

define hil = Character("Dr. Warder", color="#aaaaaa", callback = name_callback, cb_name = "hilda")
layeredimage hilda:
    at sprite_highlight('hilda')

    group main:
        attribute base default:
            "hilda b"
        attribute naked:
            "hilda n"

define pCharaDB["Hilda"] = playableChara("Dr. Warder", hil, "hilda", "Nurse", 1400, 170, "#aaaaaa", "Audio/Music/On the Cool Side.mp3", [6, 3, 3],
[
    [None, None, None, None, "Decide your feelings for Hilda (Love 1)", None, None, None, None, None],
    ["Become closer (Friendship 4)", None, None, None, None],
    [None, None, None, None, None]
])
default hilC = playChara("Hilda")
define hName = "Dr. Warder"
define nur = Character("Nurse", color="#aaaaaa", callback = name_callback, cb_name = "nurse")
image nurseS:
    "nurse"
    function SpriteFocus("nurse")
define ber = Character("Berth", color="#aaaaaa", callback = name_callback, cb_name = "berth")
image berth:
    "silhouette"
    function SpriteFocus("berth")
define lil = Character("Lilly", color="#aaaaaa", callback = name_callback, cb_name = "lilly")
image lilly:
    "silhouette"
    function SpriteFocus("lilly")

init 10 python:
    class abiQuickShot(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Quick Shot", "Cards/CNurse.webp", "Even : [i_dice][i_focus]\nOdd : [i_dice][i_arouse]", [abilityDie()], 2, effects = ["Focus"])

        def playAbility(self, dice, card):
            val = self.diceValue(dice)
            if dice[0].isEven:
                addEffectToPlayer("Focus", val)
            else:
                hpToOpponent(val)
    abiQuickShot()
    
    class abiPreparation(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Preparation", "Cards/CNurse.webp", "Last die :\nEven : 5[i_insensitive]\nOdd : 5[i_sensitive]", [abilityDie()], countMax = 5, effects = ["Sensitive", "Insensitive"])

        def playAbility(self, dice, card):
            val = self.diceValue(dice)
            if dice[0].isEven:
                addEffectToPlayer("Insensitive", 5)
            else:
                addEffectToOpponent("Sensitive", 5, False)
    abiPreparation()

    class abiDilute(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Dilute", "Cards/CNurse.webp", "[i_1] : [i_vigor]\nElse : [i_dice]-1", [abilityDie()], 5, effects = ["Vigor"])

        def playAbility(self, dice, card):
            if dice[0].value > 1:
                rerollDie(dice[0], dice[0].value - 1)
            else:
                addEffectToPlayer("Vigor", 1)
    abiDilute()

    playerSuccubus("Nurse", "Hilda",
        "Succubi/Nurse.webp", 
        "https://www.hentai-foundry.com/pictures/user/InkAsylum/147131/Cliches-with-Cocks-The-Doctor-Will-See-You-Now", 
        24, 
        3, 
        ["Quick Shot", "Preparation", "Dilute"])


    
    class asStimulating(succubusAbility):
        def __init__(self):
            succubusAbility.__init__(self,
                "Stimulating Shot",
                description = "You'll come from a touch\n[i_dmax][i_arouse]\n[i_d1][i_sensitive]\n",
                rolls = 3,
                diceGroups = [1, 0],
                effects = ["Sensitive"])

        @property
        def description(self):
            return "You'll come from a touch\n" + diceToText(1, -1) + "[i_arouse]\n" + diceToText(0, 1, color = 1) + "[i_sensitive]\n"

        def playAbility(self, dice):
            if len(dice) > 0:
                val = dice.pop(0).value
                if len(dice) > 0:
                    hpToPlayer(self.diceValue(dice))
                addEffectToPlayer("Sensitive", val)
    asStimulating()

    class asRefreshing(succubusAbility):
        def __init__(self):
            succubusAbility.__init__(self,
                "Refreshing Drink",
                description = "I can go for hours\n[i_d1][i_insensitive]\n[i_dmax][i_arouse]\n50% : [i_vigor]",
                rolls = 2,
                diceGroups = [1, 0],
                effects = ["Insensitive", "Vigor"])

        @property
        def description(self):
            return "I can go for hours\n" + diceToText(0, 1, color = 1) + "[i_insensitive]\n" + diceToText(1, -1) + "[i_arouse]\n50% : [i_vigor]"

        def playAbility(self, dice):
            if len(dice) > 0:
                addEffectToOpponent("Insensitive", dice.pop(0).value)
                hpToPlayer(self.diceValue(dice))
                if renpy.random.random() <= .5:
                    addEffectToOpponent("Vigor", 1)
    asRefreshing()

    opponentSuccubus("Nurse",
        "Nurse",
        "Succubi/Nurse.webp",
        "https://www.hentai-foundry.com/pictures/user/InkAsylum/147131/Cliches-with-Cocks-The-Doctor-Will-See-You-Now", 
        42,
        ["Stimulating Shot", "Refreshing Drink"],
        None)

    newEvent("HildaGreeting", "Hilda_Greeting")
    newEvent("HildaSpendTime", "Hilda_SpendTime")

    newEvent("HildaIntro1", "Town_End", condition = "story < 20")
    newEvent("HildaIntro2", "Margaret", repeat = False, condition = "story == 20")
    newEvent("HildaIntro3", "Town_End", condition = "story > 20 and story < 23")
    
    newEvent("HildaFriendship1", "Hilda_Friendship_0")
    newEvent("HildaFriendship2", "Hilda_Friendship_1")
    newEvent("HildaFriendship3", "Hilda_Friendship_2")
    newEvent("HildaFriendship4", "Hilda_Friendship_3")
    newEvent("HildaFriendship5", "Hilda_Friendship_4", condition = "hildaLove1Done")
    newEvent("HildaFriendship6", "Hilda_Friendship_5")
    
    newEvent("HildaLove1", "Hilda_Love_0", condition = "hilC and hilC.friendship >= 4")
    newEvent("HildaLove2", "Hilda_Love_1")
    newEvent("HildaLove3", "Hilda_Love_2")

    newEvent("HildaLust1", "Hilda_Lust_0")
    newEvent("HildaLust2", "Hilda_Lust_1")
    newEvent("HildaLust3", "Hilda_Lust_2")