define pCharaDB["Margaret"] = playableChara("Margaret", mar, "margaret", "Margaret", 0, 100, "#4b1964")
default margaretDom = 0
default margaretTrusted = 0


init 10 python:
    marC = playChara("Margaret")
    
    #Player Abilities
    class abiArouse(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Arouse", "Cards/CMargaret.webp", "[i_dice][i_arouse]", [abilityDie()])

        def playAbility(self, dice, card):
            hpToOpponent(self.diceValue(dice = dice))
    abiArouse()

    class abiLastingImpact(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Lasting Impact", "Cards/CMargaret.webp", "[i_dice]/2 [i_aphro]", [abilityDie(type = "Even")], effects = ["Aphrodisiac"])

        def playAbility(self, dice, card):
            addEffectToOpponent("Aphrodisiac", self.diceValue(dice = dice, mod = 0.5))
    abiLastingImpact()

    class abiSelfControl(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Self Control", "Cards/CMargaret.webp", "[i_dice][i_focus]", [abilityDie(type = "Odd")], effects = ["Focus"])

        def playAbility(self, dice, card):
            addEffectToPlayer("Focus", self.diceValue(dice = dice))
    abiSelfControl()

    class abiDoubleD(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Double D", "Cards/CMargaret.webp", "[i_dice][i_dice][i_arouse]", [abilityDie(4, "+"), abilityDie(4, "+")])

        def playAbility(self, dice, card):
            hpToOpponent(self.diceValue(dice = dice))
    abiDoubleD()

    class abiOrgy(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Orgy", "Cards/CMargaret.webp", "([i_dice][i_dice][i_dice][i_dice])/2 [i_arouse]", [abilityDie(), abilityDie(), abilityDie(), abilityDie()])

        def playAbility(self, dice, card):
            hpToOpponent(self.diceValue(dice = dice, mod = 0.5))
    abiOrgy()

    class abiWink(playerAbility):
        def __init__(self):
            playerAbility.__init__(self, "Wink", "Cards/CMargaret.webp", "1[i_arouse]", [abilityDie()], 5)

        def playAbility(self, dice, card):
            hpToOpponent(1)
    abiWink()

    
    playerSuccubus("Margaret", None, "Characters/Margaret S.png", None, 50, 5, ["Arouse", "Lasting Impact", "Self Control", "Double D", "Orgy", "Wink"], 6)
    diverDreamEvent("Margaret", "diverMargaret")




#Diver
label diverMargaret:
    $dEvent = getEvent("Diver_Margaret")
    if dEvent:
        $renpy.call(dEvent)
        show margaret succubus
        mar "Do you need a hand?"
        call diverMargaret_Deal from _call_diverMargaret_Deal
    else:
        show margaret succubus
        mar "I was just passing by, do you need a hand?"
        call diverMargaret_Deal from _call_diverMargaret_Deal_1
    mar "Good luck for your dive."

    call nextDreamStage from _call_nextDreamStage_1

label diverMargaret_Deal:
    menu:
        "Yes, please":
            mar "Good, don't move..."
            $mulArousal(.5)
            $margaretDom += 1
            mar "Here you go, you owe me one."
        "No, thanks":
            mar "Okay, as you wish."
            $margaretDom -= 1
    return
