﻿define dreamLinks = {}

init python:
    class dream:
        def __init__(self, name, length, boss, succubi, events, background = None):
            self.name = name
            self.length = length
            self.boss = boss
            self.events = []
            self.background = background
            for suc in succubi:
                self.events.append(succubusDreamEvent(suc))
            for evnt in events:
                self.events.append(evnt)

            dreamDB[name] = self

    class playingDream:
        def __init__(self, dream):
            self.dream = dream
        
        @property
        def name(self):
            return self.dream.name
        @property
        def events(self):
            return self.dream.events
        @property
        def length(self):
            return self.dream.length
        @property
        def background(self):
            return self.dream.background

        @property
        def bossEvent(self):
            return bossDreamEvent(self.dream.boss)

    class dreamEvent:
        def __init__(self, imageType, image = "Characters/placeholder.png", condition = None):
            self.imageType = imageType
            self.image = image
            self.condition = condition

        def play(self):
            pass

        def check(self):
            if self.condition:
                return eval(self.condition)
            return True

    class succubusDreamEvent(dreamEvent):
        def __init__(self, succubus, condition = None):
            self.succubus = oSuccubusDB[succubus]
            dreamEvent.__init__(self, "UI/SuccubusIcon.png", self.succubus.image, condition)

        def play(self):
            global bossBattle, unplayedEvents
            bossBattle = False
            if self in unplayedEvents :
                unplayedEvents.remove(self)
            renpy.call("startBattle", self.succubus)

    class bossDreamEvent(dreamEvent):
        def __init__(self, succubus, condition = None):
            self.succubus = oSuccubusDB[succubus]
            dreamEvent.__init__(self, "UI/BossIcon.png", self.succubus.image, condition)

        def play(self):
            global bossBattle, unplayedEvents
            if self in unplayedEvents :
                unplayedEvents.remove(self)
            bossBattle = True
            renpy.call("dreamBoss", self.succubus)
    
    class miscDreamEvent(dreamEvent):
        def __init__(self, label, image, condition = None):
            dreamEvent.__init__(self, "UI/MiscIcon.png", image, condition)
            self.label = label

        def play(self):
            global unplayedEvents
            if self in unplayedEvents :
                unplayedEvents.remove(self)
            renpy.call("dreamEvent", self.label)

    class diverDreamEvent(dreamEvent):
        def __init__(self, name, baseEvent, image = "Characters/placeholder.png", condition = None):
            dreamEvent.__init__(self, "UI/DiverIcon.png", image, condition)
            self.name = name
            self.baseEvent = baseEvent

            divers[name] = self


        def play(self):
            global unplayedEvents
            if self in unplayedEvents :
                unplayedEvents.remove(self)

            renpy.call(self.baseEvent)

    class merchantEvent(dreamEvent):  
        def __init__(self):
            dreamEvent.__init__(self, "UI/Merchant.png", "Succubi/Merchant.webp")

        def play(self):
            global unplayedEvents
            if self in unplayedEvents :
                unplayedEvents.remove(self)
            renpy.call("merchant")


    #Dream links
    def addDreamLink(dream, next, condition = lambda: True):
        if not dreamLinks.has_key(dream):
            dreamLinks[dream] = {}  

        dreamLinks[dream][next] = condition
    
    def getDreamLinks(dream):
        if dreamLinks.has_key(dream):
            return [d for d, c in dreamLinks[dream].items() if c()]
        else:
            return []

label dreamEvent(dEvent):
    $renpy.call(dEvent)
    call nextDreamStage from _call_nextDreamStage

label dreamBoss(dBoss):
    menu:
        "You feel a strong opponent close by... you can try to calm down before the fight, but that might have an impact on [dreamDiver.name]."
        "Heal {i}(Half of [i_arouse] becomes [i_lust]){/i}" if playerHP > 0:
            $a = int(playerHP/2 + 0.5)
            $addArousal(-a)
            $diverBonus.giveRelationPoints(2, a)   
            "You repress some arousal into the succubus before the fight."
        "Continue":
            "You feel good enough to continue."

    call startBattle(dBoss) from _call_startBattle_3
